--   Replace <DB> in the following line with the name of the database:
USE <DB>
-- useful view
IF EXISTS (SELECT * FROM sys.views 
     WHERE name=N'TeamGameTotals')
  drop view TeamGameTotals;
--
GO
--
CREATE VIEW TeamGameTotals AS
SELECT GameResults.GameID, GameResults.Comments, Teams.Conference, Teams.Division, 
   Teams.TeamID, Teams.Abbreviation, Teams.TeamName, GameResults.GameDate, 
   GameResults.Won_Loss, GameResults.IsHomeTeam, GameResults.IsPlayoff, 
   Sum(PlayerGameStats.FG) AS SumOfFG, Sum(PlayerGameStats.FGA) AS SumOfFGA, 
   Sum(PlayerGameStats.[TP]) AS SumOf3P, Sum(PlayerGameStats.[TPA]) AS SumOf3PA, 
   Sum(PlayerGameStats.FT) AS SumOfFT, Sum(PlayerGameStats.FTA) AS SumOfFTA, 
   Sum(PlayerGameStats.ORB) AS SumOfORB, Sum(PlayerGameStats.DRB) AS SumOfDRB, 
   Sum(PlayerGameStats.TRB) AS SumOfTRB, Sum(PlayerGameStats.AST) AS SumOfAST, 
   Sum(PlayerGameStats.STL) AS SumOfSTL, Sum(PlayerGameStats.BLK) AS SumOfBLK, 
   Sum(PlayerGameStats.TOV) AS SumOfTOV, Sum(PlayerGameStats.PF) AS SumOfPF, 
   Sum(PlayerGameStats.PTS) AS SumOfPTS
FROM GameResults 
   INNER JOIN (PlayerGameStats 
   INNER JOIN Teams ON PlayerGameStats.TeamID = Teams.TeamID) 
     ON (Teams.TeamID = GameResults.TeamID) 
     AND (GameResults.GameID = PlayerGameStats.GameID)
GROUP BY GameResults.GameID, GameResults.Comments, Teams.Conference, Teams.Division, 
   Teams.TeamID, Teams.Abbreviation, Teams.TeamName, GameResults.GameDate, 
   GameResults.Won_Loss, GameResults.IsHomeTeam, GameResults.IsPlayoff;

